/**
 * This file is part of Hercules.
 * http://herc.ws - http://github.com/HerculesWS/Hercules
 *
 * Copyright (C) 2012-2024 Hercules Dev Team
 * Copyright (C) Athena Dev Teams
 *
 * Hercules is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// JOB_ENUM_VALUE(JOB_CONSTANT, JOB_ID, MSGTBL_CONSTANT)
// - JOB_CONSTANT - The name of the constant representing this job ID. This will generate JOB_ and MAPID_ constants
//                  (e.g. NOVICE --> generates JOB_NOVICE and MAPID_NOVICE)
// - JOB_ID - Official numerical ID value of the job, as expected by the client
// - MSGTBL_CONSTANT - Constant for the Job name in messages.conf, should be a msgtable.h enum value WITHOUT MSGTBL_ prefix.
//                  (e.g. JOB_NOVICE --> becomes MSGTBL_JOB_NOVICE)

JOB_ENUM_VALUE(KNIGHT2, 13, JOB_KNIGHT)
JOB_ENUM_VALUE(CRUSADER2, 21, JOB_CRUSADER)
JOB_ENUM_VALUE(LORD_KNIGHT2, 4014, JOB_LORD_KNIGHT)
JOB_ENUM_VALUE(PALADIN2, 4022, JOB_PALADIN)
JOB_ENUM_VALUE(BABY_KNIGHT2, 4036, JOB_BABY_KNIGHT)
JOB_ENUM_VALUE(BABY_CRUSADER2, 4044, JOB_BABY_CRUSADER)
JOB_ENUM_VALUE(STAR_GLADIATOR2, 4048, JOB_STAR_GLADIATOR)
//JOB_ENUM_VALUE(THIRDJOB_BEGIN, 4053, UNKNOWN_JOB)
JOB_ENUM_VALUE(RUNE_KNIGHT2, 4080, JOB_RUNE_KNIGHT)
JOB_ENUM_VALUE(RUNE_KNIGHT_T2, 4081, JOB_RUNE_KNIGHT_T)
JOB_ENUM_VALUE(ROYAL_GUARD2, 4082, JOB_ROYAL_GUARD)
JOB_ENUM_VALUE(ROYAL_GUARD_T2, 4083, JOB_ROYAL_GUARD_T)
JOB_ENUM_VALUE(RANGER2, 4084, JOB_RANGER)
JOB_ENUM_VALUE(RANGER_T2, 4085, JOB_RANGER_T)
JOB_ENUM_VALUE(MECHANIC2, 4086, JOB_MECHANIC)
JOB_ENUM_VALUE(MECHANIC_T2, 4087, JOB_MECHANIC_T)
JOB_ENUM_VALUE(RUNE_KNIGHT3, 4088, JOB_RUNE_KNIGHT)
JOB_ENUM_VALUE(RUNE_KNIGHT4, 4089, JOB_RUNE_KNIGHT)
JOB_ENUM_VALUE(RUNE_KNIGHT5, 4090, JOB_RUNE_KNIGHT)
JOB_ENUM_VALUE(RUNE_KNIGHT6, 4091, JOB_RUNE_KNIGHT)
JOB_ENUM_VALUE(RUNE_KNIGHT7, 4092, JOB_RUNE_KNIGHT)
JOB_ENUM_VALUE(RUNE_KNIGHT8, 4093, JOB_RUNE_KNIGHT)
JOB_ENUM_VALUE(RUNE_KNIGHT9, 4094, JOB_RUNE_KNIGHT)
JOB_ENUM_VALUE(RUNE_KNIGHT10, 4095, JOB_RUNE_KNIGHT)
JOB_ENUM_VALUE(BABY_RUNE2, 4109, JOB_BABY_RUNE)
JOB_ENUM_VALUE(BABY_GUARD2, 4110, JOB_BABY_GUARD)
JOB_ENUM_VALUE(BABY_RANGER2, 4111, JOB_BABY_RANGER)
JOB_ENUM_VALUE(BABY_MECHANIC2, 4112, JOB_BABY_MECHANIC)
JOB_ENUM_VALUE(THIRD_LAST, 4113, UNKNOWN_JOB)
JOB_ENUM_VALUE(BABY_STAR_GLADIATOR2, 4238, JOB_BABY_STAR_GLADIATOR)
//JOB_ENUM_VALUE(2004_JOB_LAST, 4249, UNKNOWN_JOB)

JOB_ENUM_VALUE(DUMMY4219, 4219, UNKNOWN_JOB)
JOB_ENUM_VALUE(DUMMY4221, 4221, UNKNOWN_JOB)
JOB_ENUM_VALUE(DUMMY4230, 4230, UNKNOWN_JOB)
JOB_ENUM_VALUE(DUMMY4231, 4231, UNKNOWN_JOB)
JOB_ENUM_VALUE(DUMMY4232, 4232, UNKNOWN_JOB)
JOB_ENUM_VALUE(DUMMY4233, 4233, UNKNOWN_JOB)
JOB_ENUM_VALUE(DUMMY4234, 4234, UNKNOWN_JOB)
JOB_ENUM_VALUE(DUMMY4235, 4235, UNKNOWN_JOB)
JOB_ENUM_VALUE(DUMMY4236, 4236, UNKNOWN_JOB)
JOB_ENUM_VALUE(DUMMY4237, 4237, UNKNOWN_JOB)
